Subject: bug#24939: [PATCH] Add tests for lisp/kmacro.el

From: Michael Albinus <[email-masked]>
Date: Wed, 30 Nov 2016 17:51:19 +0100

Eli Zaretskii <[email-masked]> writes:

>> However, I didn't understand why the existing implementation
>> (watching messages in *Messages*) is bad.
>
> Because the display engine treats that buffer specially, and assumes
> all kinds of assumptions when it does.  See message_dolog in xdisp.c
> for the gory details.
>
> So I'd like us to futz as little as possible with *Messages*, lest we
> violate those assumptions.  In particular, setting buffer restrictions
> might get in the way.  (Granted, this is only a problem when the test
> suite is run interactively, but AFAIK this is actually done
> sometimes.)

I didn't know this, thanks for the explanation. So I'm OK with the change.

Best regards, Michael.